# Function UseMethod

- UseMethod(method, name, config?): ((target, propertyKey) => void)

- #### Parameters

  - method: ProviderToken<Method<any, any>>
  - name: string
  - `Optional` config: UseMethodConfig<any, any, any, any>

  #### Returns ((target, propertyKey) => void)

  - - (target, propertyKey): void

    - #### Parameters

      - target: any
      - propertyKey: string

      #### Returns void

  - Defined in packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:26